@use "../abstracts/breakpoints" as *;

@mixin mq($key) {
  $size: map-get($breakpoints, $key);

  @if $size {
    @media only screen and (max-width: $size) {
      @content;
    }
  }
}

@mixin flex($dir: row, $wrap: nowrap, $align: flex-start, $justify: flex-start) {
  display: flex;
  flex-direction: $dir;
  flex-wrap: $wrap;
  align-items: $align;
  justify-content: $justify;
}
@mixin w-h-100 {
  width: 100%;
  height: 100%;
}

@mixin hide-scrollbar {
  &::-webkit-scrollbar {
    width: 0;
    background: transparent;
  }

  & * {
    scrollbar-width: thin;
    scrollbar-color: transparent transparent;
  }

  & *::-ms-scrollbar {
    display: none;
  }

  & * {
    -ms-overflow-style: none;
  }
  &::-webkit-scrollbar-thumb {
    background: transparent;
  }
  
}
